## jinja2 2.7.2

=== Makefile ===
test:
	python run-tests.py

develop:
	pip install --editable .

tox-test:
	@tox

release:
	python scripts/make-release.py

upload-docs:
	$(MAKE) -C docs html dirhtml latex
	$(MAKE) -C docs/_build/latex all-pdf
	cd docs/_build/; mv html jinja-docs; zip -r jinja-docs.zip jinja-docs; mv jinja-docs html
	scp -r docs/_build/dirhtml/* pocoo.org:/var/www/jinja.pocoo.org/docs/
	scp -r docs/_build/latex/Jinja2.pdf pocoo.org:/var/www/jinja.pocoo.org/docs/jinja-docs.pdf
	scp -r docs/_build/jinja-docs.zip pocoo.org:/var/www/jinja.pocoo.org/docs/

.PHONY: test

## jinja2 2.5.5

=== debian/changelog ===
jinja2 (2.5.5-5build1) oneiric; urgency=low

  * No change rebuild to drop Python 3.1 support.

 -- Barry Warsaw <barry@ubuntu.com>  Fri, 03 Jun 2011 14:25:00 -0400

jinja2 (2.5.5-5) unstable; urgency=low

  * Drop hardcoded python3.1 from Depends (closes: #621816)
  * Do not compress objects.inv file (closes: #608757)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 15 Apr 2011 22:05:53 +0200

jinja2 (2.5.5-4) unstable; urgency=low

  * Upload to unstable (closes: 621001)
  * Lower versions of build dependencies (to the ones from 2.5.5-1)
  * Convert from dh_pysupport to dh_python2
  * Change source format to 3.0 (quilt), drop quilt build dependency

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 05 Apr 2011 23:21:21 +0200

jinja2 (2.5.5-3) experimental; urgency=low

  * Bump minimum required python-support version to the one in experimental
    to get Python 2.7 support (closes: 608149) 

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 27 Dec 2010 23:15:04 +0100

jinja2 (2.5.5-2) experimental; urgency=low

  * Rebuild for Python 2.7 and 3.2 extension (minimum required python-all's
    version temporary bumped to 2.6.6-4, python-setuptools' to 0.6.14-5
    and python3-all's to 3.1.2-14 to make sure the right version from
    experimental will be used). Closes: 607450.
  * Update debian/rules to handle Python >= 3.2 

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 21 Dec 2010 20:58:19 +0100

jinja2 (2.5.5-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 19 Oct 2010 08:34:49 +0200

jinja2 (2.5.4-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 17 Oct 2010 20:48:21 +0200

jinja2 (2.5.2-3) unstable; urgency=low

  * Rebuild against newer python3-all-dev package (python3.1 now uses
    /usr/lib/python3/), minimum python3-all version bumped to 3.1.2-10
  * Use python3's python.mk
  * Drop python3-jinja2.{postinst,prerm} maintainer scripts, dh_python3 will
    generate them

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 26 Sep 2010 21:19:54 +0200

jinja2 (2.5.2-2) unstable; urgency=low

  * Really remove _markupsafe

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 19 Aug 2010 09:24:47 +0200

jinja2 (2.5.2-1) unstable; urgency=low

  * New upstream release
    - speedups module moved to separate package: MarkupSafe
  * python-markupsafe added to Depends (jinja2._markupsafe removed from the
    package)
  * debian/control: python3-jinja2 binary package updated to latest changes in
    dh_python3
  * Standards-version bumped to 3.9.1 (no other changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 18 Aug 2010 11:29:44 +0200

jinja2 (2.5-1) unstable; urgency=low

  * New upstream release
  * python3_builtins.patch removed, no longer needed
  * add python3.1 to python3-jinja2's Depends

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 30 May 2010 11:01:51 +0200

jinja2 (2.4.1-1) unstable; urgency=low

  * New upstream release
  * Add python3_builtins.patch taken from upstream repo (Different name for
    builtins in Python 3)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 20 Apr 2010 19:51:16 +0200

jinja2 (2.4-3) unstable; urgency=low

  * Add missing maintainer scripts in python3-jinja2 package

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 18 Apr 2010 17:15:49 +0200

jinja2 (2.4-2) unstable; urgency=low

  * Add Python 3 support, new binary packages:
    python3-jinja2 and python3-jinja2-dbg

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 13 Apr 2010 20:44:43 +0200

jinja2 (2.4-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 13 Apr 2010 19:52:05 +0200

jinja2 (2.3.1-1) unstable; urgency=low

  * New upstream release
  * Move python-pybabel from Recommends to Enhances

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 19 Feb 2010 18:31:52 +0100

jinja2 (2.3-1) unstable; urgency=low

  * New upstream release
  * Hardcode __version__ at build time, no need to use pkg_resources
    (Closes: #548062)
  * Standards-version bumped to 3.8.4 (no other changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 10 Feb 2010 22:06:28 +0100

jinja2 (2.2.1-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 15 Sep 2009 19:38:47 +0200

jinja2 (2.2-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Build depend on Sphinx >= 0.6 (due to changes_for_sphinx_0.6 patch)

  [ Piotr Ożarowski ]
  * New upstream release (Closes: #536227)
  * No longer needed patches:
    - changes_for_sphinx_0.6.patch
    - dont_install_docs_via_setup_py.patch
  * pass --with-speedups to setup.py (building extension is now disabled by
    default in upstream code)
  * debian/copyright file updated
  * Standards-version bumped to 3.8.3 (no other changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 13 Sep 2009 16:44:18 +0200

jinja2 (2.1.1-3) unstable; urgency=low

  * Documentation builds fine with new Sphinx now, thanks to
    Jakub Wilk for the patch (Closes: #527486)
  * Standards-version bumped to 3.8.2:
    - python-jinja2-dbg's section changed to debug
  * Support /usr/local/*/dist-packages in debian/rules (python2.6 will need it)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 08 Jul 2009 21:40:46 +0200

jinja2 (2.1.1-2) unstable; urgency=low

  * Install Vim syntax files in /usr/share/vim/addons/syntax/
    Use `vim-addons install jinja` to enable it (Closes: 514046)
  * Upload to unstable

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 10 Feb 2009 19:59:56 +0100

jinja2 (2.1.1-1) experimental; urgency=low

  * New upstream release
  * Build depend on Sphinx >= 0.5.1
    + remove_non_ascii_char patch removed

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 25 Dec 2008 19:10:36 +0100

jinja2 (2.1-1) experimental; urgency=low

  [ Sandro Tosi ]
  * Switch Vcs-Browser field to viewsvn

  [ Piotr Ożarowski ]
  * New upstream release
  * Bump required python-sphinx version to >= 0.5 (needed to build docs)


=== debian/control ===
Source: jinja2
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5),
 python-all-dev (>= 2.6.6-3), python-all-dbg,
 python3-all-dev (>= 3.1.2-10), python3-all-dbg,
 python-setuptools (>= 0.6b3-1~), python3-setuptools
Build-Depends-Indep: python-sphinx (>= 0.6), python-pygments
Standards-Version: 3.9.1
Homepage: http://jinja.pocoo.org/2/
X-Python-Version: >= 2.4
Vcs-Svn: svn://svn.debian.org/python-modules/packages/jinja2/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/jinja2/trunk/

Package: python-jinja2
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-markupsafe
Recommends: python-pkg-resources
Provides: ${python:Provides}
Suggests: python-jinja2-doc
Enhances: python-pybabel
Description: small but fast and easy to use stand-alone template engine
 Jinja2 is a template engine written in pure Python. It provides a Django
 inspired non-XML syntax but supports inline expressions and an optional
 sandboxed environment.
 .
 The key-features are:
  * Configurable syntax. If you are generating LaTeX or other formats with
    Jinja2 you can change the delimiters to something that integrates better
    into the LaTeX markup.
  * Fast. While performance is not the primarily target of Jinja2 it’s
    surprisingly fast. The overhead compared to regular Python code was reduced
    to the very minimum.
  * Easy to debug. Jinja2 integrates directly into the Python traceback system
    which allows you to debug Jinja2 templates with regular Python debugging
    helpers.
  * Secure. It’s possible to evaluate untrusted template code if the optional
    sandbox is enabled. This allows Jinja2 to be used as templating language
    for applications where users may modify the template design.

Package: python-jinja2-doc
Section: doc
Architecture: all
Priority: extra
Depends: libjs-jquery, ${misc:Depends}
Recommends: python-jinja2
Description: documentation for the Jinja2 Python library
 Jinja2 is a small but fast and easy to use stand-alone template engine
 .
 This package contains the documentation for Jinja2 in HTML and
 reStructuredText formats.

Package: python-jinja2-dbg
Architecture: any
Section: debug
Priority: extra
Depends: python-jinja2 (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: small but fast and easy to use stand-alone template engine
 Jinja2 is a template engine written in pure Python. It provides a Django
 inspired non-XML syntax but supports inline expressions and an optional
 sandboxed environment.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python3-jinja2
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-markupsafe
Recommends: python3-pkg-resources
Provides: ${python3:Provides}
Suggests: python3-jinja2-doc
Description: small but fast and easy to use stand-alone template engine
 Jinja2 is a template engine written in pure Python. It provides a Django
 inspired non-XML syntax but supports inline expressions and an optional
 sandboxed environment.
 .
 The key-features are:
  * Configurable syntax. If you are generating LaTeX or other formats with
    Jinja2 you can change the delimiters to something that integrates better
    into the LaTeX markup.
  * Fast. While performance is not the primarily target of Jinja2 it’s
    surprisingly fast. The overhead compared to regular Python code was reduced
    to the very minimum.
  * Easy to debug. Jinja2 integrates directly into the Python traceback system
    which allows you to debug Jinja2 templates with regular Python debugging
    helpers.
  * Secure. It’s possible to evaluate untrusted template code if the optional
    sandbox is enabled. This allows Jinja2 to be used as templating language
    for applications where users may modify the template design.

Package: python3-jinja2-dbg
Architecture: any
Section: debug
Priority: extra
Depends: python3-jinja2 (= ${binary:Version}), python3-dbg, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: small but fast and easy to use stand-alone template engine
 Jinja2 is a template engine written in pure Python. It provides a Django
 inspired non-XML syntax but supports inline expressions and an optional
 sandboxed environment.
 .
 This package contains the extension built for the Python debug interpreter.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/python3/python.mk

PYVERS=$(shell pyversions -vr) $(shell py3versions -vr)
VERSION=$(shell sed -rn 's,^Version: (.*),\1,p' $(CURDIR)/PKG-INFO)
pkgdir = $(CURDIR)/debian/python$(if $(patsubst 3.%,,$(1)),,3)-jinja2

clean:
	dh_testdir
	dh_testroot
	rm -rf dist build Jinja2.egg-info
	find . -name '*\.pyc' -delete
	find . -name '\._*' -delete
	find . -name '\.DS_Store' -delete
	make -C docs clean
	dh_clean install-stamp build-stamp \
		$(PYVERS:%=install-python%) $(PYVERS:%=build-python%) \
		$(PYVERS:%=install-debug-python%) $(PYVERS:%=build-debug-python%)

build: build-stamp

build-stamp: $(PYVERS:%=build-python%) $(PYVERS:%=build-debug-python%)
	touch $@

build-python%:
	python$* setup.py --with-debugsupport build
	touch $@

build-debug-python%:
	python$*-dbg setup.py --with-debugsupport build
	touch $@

build-docs:
	PYTHONPATH=$(CURDIR) make -C docs html

install: install-stamp
install-stamp: $(PYVERS:%=install-python%) $(PYVERS:%=install-debug-python%)
	dh_install
	touch $@

install-python%: build-python%
	python$* setup.py --with-debugsupport install $(py_setup_install_args) \
		--skip-build --single-version-externally-managed --root $(call pkgdir,$*)
	sed -i -e 's,REPLACE_ME_WITH_PROPER_VERSION,$(VERSION),' $(call pkgdir,$*)$(call py_libdir,$*)/jinja2/__init__.py
	rm -rf $(call pkgdir,$*)$(call py_libdir,$*)/jinja2/_markupsafe
	rm -f $(call pkgdir,$*)$(call py_libdir,$*)/jinja2/_debugsupport.c
	touch $@

install-debug-python%: build-debug-python%
	python$*-dbg setup.py --with-debugsupport install $(py_setup_install_args) \
		--skip-build --single-version-externally-managed --root $(call pkgdir,$*)-dbg/
	find $(call pkgdir,$*)-dbg/usr/ ! -type d ! -name '*\.so' -delete
	find $(call pkgdir,$*)-dbg/usr/ -depth -empty -delete
	touch $@

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a CHANGES
	dh_installdocs -a
	find $(CURDIR)/debian/ -name '*.py[co]' -delete
	dh_python2 -a
	dh_python3 -a 
	dh_makeshlibs -a
	dh_strip -ppython-jinja2 --dbg-package=python-jinja2-dbg
	dh_strip -ppython3-jinja2 --dbg-package=python3-jinja2-dbg
	rm -rf $(call pkgdir,2.X)-dbg/usr/share/doc/python-jinja2-dbg
	rm -rf $(call pkgdir,3.X)-dbg/usr/share/doc/python3-jinja2-dbg
	ln -s python-jinja2 $(call pkgdir,2.X)-dbg/usr/share/doc/python-jinja2-dbg
	ln -s python3-jinja2 $(call pkgdir,3.X)-dbg/usr/share/doc/python3-jinja2-dbg
	dh_compress -a -X.py -Xobjects.inv
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a -- -Z bzip2

binary-indep: build-docs
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i CHANGES
	dh_installdirs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_link -i /usr/share/doc/python-jinja2-doc/html /usr/share/doc/python-jinja2/html
	dh_link -i /usr/share/doc/python-jinja2-doc/html/_sources /usr/share/doc/python-jinja2/rst
	dh_link -i /usr/share/javascript/jquery/jquery.min.js /usr/share/doc/python-jinja2-doc/html/_static/jquery.js
	dh_compress -i -X.html -X.py
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i -- -Z bzip2

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## jinja2 2.6

=== debian/changelog ===
jinja2 (2.6-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 14 Jan 2013 21:12:50 +0100

jinja2 (2.6-1) unstable; urgency=low

  * New upstream release
  * add_version_placeholder patch removed (no longer needed)
  * htmljinja.vim is no longer available, use jinja.vim instead
  * python3-jinja2 suggests python-jinja2-doc instead of python3-jinja2-doc
  * Standards-version bumped to 3.9.2 (no other changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 25 Jul 2011 10:31:24 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python3-all-dev (>= 3.1.2-10), python3-all-dbg,
  python-setuptools (>= 0.6b3-1~), python3-setuptools
 Build-Depends-Indep: python-sphinx (>= 0.6), python-pygments
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://jinja.pocoo.org/2/
 X-Python-Version: >= 2.4
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/jinja2/trunk
@@ -70,7 +70,7 @@
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-markupsafe
 Recommends: python3-pkg-resources
 Provides: ${python3:Provides}
-Suggests: python3-jinja2-doc
+Suggests: python-jinja2-doc
 Description: small but fast and easy to use stand-alone template engine
  Jinja2 is a template engine written in pure Python. It provides a Django
  inspired non-XML syntax but supports inline expressions and an optional

=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,6 @@
 install-python%: build-python%
 	python$* setup.py --with-debugsupport install $(py_setup_install_args) \
 		--skip-build --single-version-externally-managed --root $(call pkgdir,$*)
-	sed -i -e 's,REPLACE_ME_WITH_PROPER_VERSION,$(VERSION),' $(call pkgdir,$*)$(call py_libdir,$*)/jinja2/__init__.py
 	rm -rf $(call pkgdir,$*)$(call py_libdir,$*)/jinja2/_markupsafe
 	rm -f $(call pkgdir,$*)$(call py_libdir,$*)/jinja2/_debugsupport.c
 	touch $@

## jinja2 2.7

=== debian/changelog ===
jinja2 (2.7-3) unstable; urgency=low

  [ Jakub Wilk ]
  * Restore Python 3.2 compatibility (closes: #709638)
  * Fix bunch of typos in the documentation (closes: #679534)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 25 May 2013 23:07:10 +0200

jinja2 (2.7-2) unstable; urgency=low

  * Relax build dependency on python3-all and hardcode python3-jinja2's
    Depends and postinst maintainer script (temporary fix, closes: #709390)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 23 May 2013 18:42:20 +0200

jinja2 (2.7-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Piotr Ożarowski ]
  * New upstream release
    - minimum required Python version bumped to 2.6 and 3.3
  * debugsupport extension no longer available, Architecture changed to "all"
  * Bump minimum required python3-all version in Build-Depends (to generate
    versioned py3compile -V in maintainer script)
  * Add patches/drop_next_import_from_docs-jinjaext.patch to fix building docs
  * Use dh_sphinxdoc to handle JavaScript libraries used in -doc package
  * Standards-Version bumped to 3.9.4
    - add build-arch and build-indep targets
  * debian/compat changed to 9

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 20 May 2013 21:15:37 +0200

## jinja2 2.7.1

=== debian/changelog ===
jinja2 (2.7.1-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 08 Aug 2013 22:25:01 +0200

## jinja2 2.7.2

=== debian/changelog ===
jinja2 (2.7.2-2) unstable; urgency=high

  * Add fix_CVE-2014-1402 patch which uses tempfile.mkdtemp to create
    cache dir (closes: 734956)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 12 Jan 2014 15:09:04 +0100

jinja2 (2.7.2-1) unstable; urgency=high

  * New upstream release
    - changes default folder for the filesystem cache (closes: 734747,
      CVE-2014-1402)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 10 Jan 2014 20:56:20 +0100

=== debian/control ===
Source: jinja2
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
 python-all (>= 2.6.6-3), python3-all,
 python-setuptools (>= 0.6b3-1~), python3-setuptools,
 python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, python-pygments
Standards-Version: 3.9.4
Homepage: http://jinja.pocoo.org/2/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/jinja2/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/jinja2/trunk/

Package: python-jinja2
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-markupsafe
Recommends: python-pkg-resources
Suggests: python-jinja2-doc
Enhances: python-pybabel
Description: small but fast and easy to use stand-alone template engine
 Jinja2 is a template engine written in pure Python. It provides a Django
 inspired non-XML syntax but supports inline expressions and an optional
 sandboxed environment.
 .
 The key-features are:
  * Configurable syntax. If you are generating LaTeX or other formats with
    Jinja2 you can change the delimiters to something that integrates better
    into the LaTeX markup.
  * Fast. While performance is not the primarily target of Jinja2 it’s
    surprisingly fast. The overhead compared to regular Python code was reduced
    to the very minimum.
  * Easy to debug. Jinja2 integrates directly into the Python traceback system
    which allows you to debug Jinja2 templates with regular Python debugging
    helpers.
  * Secure. It’s possible to evaluate untrusted template code if the optional
    sandbox is enabled. This allows Jinja2 to be used as templating language
    for applications where users may modify the template design.

Package: python-jinja2-doc
Section: doc
Architecture: all
Priority: extra
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Recommends: python-jinja2
Description: documentation for the Jinja2 Python library
 Jinja2 is a small but fast and easy to use stand-alone template engine
 .
 This package contains the documentation for Jinja2 in HTML and
 reStructuredText formats.

Package: python3-jinja2
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-markupsafe
Recommends: python3-pkg-resources
Provides: ${python3:Provides}
Suggests: python-jinja2-doc
Description: small but fast and easy to use stand-alone template engine
 Jinja2 is a template engine written in pure Python. It provides a Django
 inspired non-XML syntax but supports inline expressions and an optional
 sandboxed environment.
 .
 The key-features are:
  * Configurable syntax. If you are generating LaTeX or other formats with
    Jinja2 you can change the delimiters to something that integrates better
    into the LaTeX markup.
  * Fast. While performance is not the primarily target of Jinja2 it’s
    surprisingly fast. The overhead compared to regular Python code was reduced
    to the very minimum.
  * Easy to debug. Jinja2 integrates directly into the Python traceback system
    which allows you to debug Jinja2 templates with regular Python debugging
    helpers.
  * Secure. It’s possible to evaluate untrusted template code if the optional
    sandbox is enabled. This allows Jinja2 to be used as templating language
    for applications where users may modify the template design.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/python3/python.mk

PYVERS=$(shell pyversions -vr) $(shell py3versions -vr)
VERSION=$(shell sed -rn 's,^Version: (.*),\1,p' $(CURDIR)/PKG-INFO)
pkgdir = $(CURDIR)/debian/python$(if $(patsubst 3.%,,$(1)),,3)-jinja2

clean:
	dh_testdir
	dh_testroot
	rm -rf dist build Jinja2.egg-info
	find . -name '*\.pyc' -delete
	find . -name '\._*' -delete
	find . -name '\.DS_Store' -delete
	make -C docs clean
	dh_clean install-stamp build-stamp \
		$(PYVERS:%=install-python%) $(PYVERS:%=build-python%)

build: build-indep

build-arch:

build-indep: $(PYVERS:%=build-python%) build-docs
	touch $@

build-python3%:
	python3$* setup.py build
	python debian/u2to3.py --no-diffs --write --nobackups build/lib/
	touch $@

build-python%:
	python$* setup.py build
	touch $@

build-docs:
	PYTHONPATH=$(CURDIR):$(CURDIR)/docs make -C docs html

install: install-stamp
install-stamp: $(PYVERS:%=install-python%)
	dh_install
	touch $@

install-python%: build-python%
	python$* setup.py install $(py_setup_install_args) \
		--skip-build --root $(call pkgdir,$*)
	touch $@

binary-indep: build-indep install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i CHANGES
	dh_installdocs -i
	dh_sphinxdoc -p python-jinja2-doc
	dh_installexamples -i
	find $(CURDIR)/debian/ -name '*.py[co]' -delete
	dh_python2 -i -p python-jinja2
	dh_python3 -i -p python3-jinja2
	dh_link -i /usr/share/doc/python-jinja2-doc/html /usr/share/doc/python-jinja2/html
	dh_link -i /usr/share/doc/python-jinja2-doc/html/_sources /usr/share/doc/python-jinja2/rst
	dh_compress -i -X.html -X.py -Xobjects.inv
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i -- -Z bzip2

binary-arch:

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts=uversionmangle=s/rc/~rc/ \
http://pypi.python.org/packages/source/J/Jinja2/Jinja2-(.+)\.tar\.gz debian uupdate

## jinja2 2.7.3

=== debian/changelog ===
jinja2 (2.7.3-1) unstable; urgency=medium

  * New upstream release
  * Drop fix_CVE-2014-0012.patch (better fix applied upstream)
  * Homepage updated

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 10 Jun 2014 20:44:26 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python-setuptools (>= 0.6b3-1~), python3-setuptools,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, python-pygments
 Standards-Version: 3.9.4
-Homepage: http://jinja.pocoo.org/2/
+Homepage: http://jinja.pocoo.org/
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/jinja2/trunk/

## jinja2 2.8

=== debian/changelog ===
jinja2 (2.8-1ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: sandbox escape via str.format
    - debian/patches/CVE-2016-10745-1.patch: support sandboxing in format
      expressions in jinja2/nodes.py, jinja2/sandbox.py.
    - debian/patches/CVE-2016-10745-2.patch: fix a name error for an
      uncommon attribute access in the sandbox in jinja2/sandbox.py.
    - CVE-2016-10745
  * SECURITY UPDATE: sandbox escape via str.format_map
    - debian/patches/CVE-2019-10906.patch: properly sandbox format_map in
      jinja2/sandbox.py.
    - CVE-2019-10906

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 14 May 2019 13:35:38 -0400

jinja2 (2.8-1) unstable; urgency=medium

  * New upstream release
    - drop jinja2-typos and drop_next_import_from_docs-jinjaext patches - both
      applied upstream
  * rewrite debian/rules to dh sequencer and pybuild buildsystem
  * Standards-version bumped to 3.9.6 (no other changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 01 Aug 2015 14:15:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: jinja2
 Section: python
 Priority: optional
-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9), dh-python,
  python-all (>= 2.6.6-3), python3-all,
  python-setuptools (>= 0.6b3-1~), python3-setuptools,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, python-pygments
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://jinja.pocoo.org/
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export PYBUILD_NAME=jinja2

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_clean:
	make -C docs clean
	dh_auto_clean

override_dh_auto_build-indep:
	PYTHONPATH=$(CURDIR):$(CURDIR)/docs make -C docs html

## jinja2 2.9.4

=== debian/changelog ===
jinja2 (2.9.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Piotr Ożarowski ]
  * New upstream release
    - do not install async* files, they require Python >= 3.6
  * Standards-version bumped to 3.9.8 (no other changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 10 Jan 2017 20:28:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: jinja2
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), dh-python,
  python-all (>= 2.6.6-3), python3-all,
  python-setuptools (>= 0.6b3-1~), python3-setuptools,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, python-pygments
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://jinja.pocoo.org/
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/jinja2/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/jinja2/trunk/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/jinja2.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/jinja2.git
 
 Package: python-jinja2
 Architecture: all

## jinja2 2.9.5

=== debian/changelog ===
jinja2 (2.9.5-1) unstable; urgency=medium

  * New upstream release
    - restores original repr of the internal _GroupTuple which fixes ansible
    (closes: 851741)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 07 Feb 2017 22:27:54 +0100

## jinja2 2.9.6

=== debian/changelog ===
jinja2 (2.9.6-1) unstable; urgency=medium

  [ Piotr Ożarowski ]
  * New upstream release
  * Install CHANGES file as upstream changelog (closes: 857722)
  * Standards-version bumped to 4.0.0 (no other changes needed)

  [ Michael Hudson-Doyle ]
  * Install asyncsupport.py and asyncfilters.py now that Python 3.6 is a
    supported version (but do not compile them on install with Python 3.5).
    (closes: 862699)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 20 Jun 2017 15:21:18 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  python-all (>= 2.6.6-3), python3-all,
  python-setuptools (>= 0.6b3-1~), python3-setuptools,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, python-pygments
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://jinja.pocoo.org/
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,6 @@
 
 override_dh_auto_build-indep:
 	PYTHONPATH=$(CURDIR):$(CURDIR)/docs make -C docs html
+
+override_dh_installchangelogs:
+	dh_installchangelogs CHANGES

## jinja2 2.10

=== debian/changelog ===
jinja2 (2.10-2+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the Debian LTS team.
  * CVE-2024-22195: Fix an issue where it was possible to inject arbitrary HTML
    attributes into the rendered HTML via the "xmlattr" filter, potentially
    leading to a Cross-Site Scripting (XSS) attack. It may also have been
    possible to bypass attribute validation checks if they were
    blacklist-based. (Closes: #1060748)
  * Actually run the testsuite, on both Python 2.x and Python 3.x.

 -- Chris Lamb <lamby@debian.org>  Mon, 22 Jan 2024 12:57:18 -0800

jinja2 (2.10-2) unstable; urgency=high

  [ Thomas Goirand ]
  * CVE-2019-10906: In Pallets Jinja before 2.10.1, str.format_map allows a
    sandbox escape. Applied upstream patch: sandbox_str.format_map.patch
    (Closes: #926602).

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 09 Apr 2019 21:58:20 +0200

jinja2 (2.10-1) unstable; urgency=medium

  * New upstream release
  * Add python3-sphinx to Build-Depends and invoke dh_sphinxdoc after building
    documentation
  * Standards-version bumped to 4.1.1
    - -doc package's Priority changed to optional

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 30 Nov 2017 10:54:37 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 9), dh-python,
  python-all (>= 2.6.6-3), python3-all,
  python-setuptools (>= 0.6b3-1~), python3-setuptools,
- python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, python-pygments
-Standards-Version: 4.0.0
+ python3-sphinx, python3-pygments, python3-pytest, python-pytest, python-markupsafe
+Standards-Version: 4.1.1
 Homepage: http://jinja.pocoo.org/
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
@@ -42,7 +42,6 @@
 Package: python-jinja2-doc
 Section: doc
 Architecture: all
-Priority: extra
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
 Recommends: python-jinja2
 Description: documentation for the Jinja2 Python library

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export PYBUILD_NAME=jinja2

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	make -C docs clean
	dh_auto_clean

override_dh_auto_test:
ifneq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e ; for pyver in $(shell pyversions -r) $(shell py3versions -r); do \
		echo "============================== testing $$pyver ==============================="; \
		PYTHONPATH="{build_dir}" $$pyver -m pytest tests; \
	done
endif

override_dh_auto_build-indep:
	PYTHONPATH=$(CURDIR):$(CURDIR)/docs make -C docs html

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

## jinja2 2.10.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp epub latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Flask.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Flask.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) _build/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Flask"
	@echo "# ln -s _build/devhelp $$HOME/.local/share/devhelp/Flask"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

latexpdf: latex
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C _build/latex all-pdf
	@echo "pdflatex finished; the PDF files are in _build/latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
jinja2 (2.10.1-2ubuntu0.6) focal-security; urgency=medium

  * SECURITY REGRESSION: Arbitrary code execution via |attr filter bypass
    - debian/patches/CVE-2025-27516.patch: Replace getattr_static with an
      equivalent Python 2 compatible function
    - CVE-2025-27516

 -- John Breton <john.breton@canonical.com>  Wed, 12 Mar 2025 12:53:04 -0400

jinja2 (2.10.1-2ubuntu0.5) focal-security; urgency=medium

  * SECURITY UPDATE: Arbitrary code execution via |attr filter bypass
    - debian/patches/CVE-2025-27516.patch: attr filter uses env.getattr
    - CVE-2025-27516

 -- John Breton <john.breton@canonical.com>  Mon, 10 Mar 2025 12:58:01 -0400

jinja2 (2.10.1-2ubuntu0.4) focal-security; urgency=medium

  * SECURITY UPDATE: arbitrary code execution issue in jinja compiler
    - debian/patches/CVE-2024-56201.patch: f-string syntax handling in code
      generation improved in jinja2/compiler.py.
    - debian/patches/CVE-2024-56326.patch: oversight on calls to str.format
      adjusted in jinja2/sandbox.py.
    - CVE-2024-56201
    - CVE-2024-56326

 -- Evan Caville <evan.caville@canonical.com>  Mon, 06 Jan 2025 15:47:03 +1000

jinja2 (2.10.1-2ubuntu0.3) focal-security; urgency=medium

  * SECURITY UPDATE: Cross-Site scripting in xmlattr filter
    - debian/patches/CVE-2024-34064.patch: disallow invalid characters 
      in keys to xmlattr filter
    - CVE-2024-34064

 -- Nick Galanis <nick.galanis@canonical.com>  Tue, 21 May 2024 09:35:36 +0100

jinja2 (2.10.1-2ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: regular expression DoS
    - debian/patches/CVE-2020-28493.patch: rewrite regex match for
      punctuation in urlize() in jinja2/utils.py.
    - CVE-2020-28493
  * SECURITY UPDATE: Cross-Site scripting
    - debian/patches/CVE-2024-22195.patch: disallow keys with spaces
      in jinja2/filters.py, tests/test_filters.py.
    - CVE-2024-22195

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 22 Jan 2024 07:14:05 -0300

jinja2 (2.10.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Team upload.
  * Add py3.9-fix-collections-import.patch (Closes: #949018).

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Feb 2020 11:49:32 +0100

jinja2 (2.10.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Piotr Ożarowski ]
  * New upstream release
  * Standards-version bumped to 4.4.0 (no other changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 10 Jul 2019 22:34:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: jinja2
 Section: python
 Priority: optional
-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), dh-python,
+Build-Depends: debhelper-compat (= 9), dh-python,
  python-all (>= 2.6.6-3), python3-all,
  python-setuptools (>= 0.6b3-1~), python3-setuptools,
- python3-sphinx, python3-pygments, python3-pytest, python-pytest, python-markupsafe
-Standards-Version: 4.1.1
+ python3-sphinx, python3-pygments
+Standards-Version: 4.4.1
 Homepage: http://jinja.pocoo.org/
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/jinja2.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/jinja2.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/jinja2.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/jinja2
 
 Package: python-jinja2
 Architecture: all
@@ -43,7 +42,7 @@
 Section: doc
 Architecture: all
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
-Recommends: python-jinja2
+Recommends: python3-jinja2
 Description: documentation for the Jinja2 Python library
  Jinja2 is a small but fast and easy to use stand-alone template engine
  .

## jinja2 2.11.2

=== debian/changelog ===
jinja2 (2.11.2-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 04 Jun 2020 19:31:21 +0200

jinja2 (2.11.1-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * py3.9-fix-collections-import.patch: correctly "except ImportError:"
    everywhere in the patch.

  [ Salman Mohammadi ]
  * d/control: change python-jinja2-doc to recommend python3-jinja2
    (closes: 951672)


  [ Piotr Ożarowski ]
  * New upstream release
  * Add python3-pallets-sphinx-themes and python3-sphinx-issues to Build-Depends
  * Add patch to disable sphinxcontrib.log_cabinet for now as it's not
    packaged in Debian yet (versionadded, versionchanged, deprecated
    directives in changelog will not be used)
  * Move Vim syntax files to python3-jinja2 package
  * Standards-version bumped to 4.5.0 (no other changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 02 Apr 2020 13:35:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: jinja2
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper-compat (= 9), dh-python,
+Build-Depends: debhelper-compat (= 12), dh-python,
  python-all (>= 2.6.6-3), python3-all,
  python-setuptools (>= 0.6b3-1~), python3-setuptools,
- python3-sphinx, python3-pygments
-Standards-Version: 4.4.1
+ python3-sphinx, python3-pallets-sphinx-themes, python3-sphinx-issues,
+ python3-pygments
+Standards-Version: 4.5.0
 Homepage: http://jinja.pocoo.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/jinja2.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/jinja2
@@ -53,8 +53,9 @@
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3-markupsafe
 Recommends: python3-pkg-resources
-Provides: ${python3:Provides}
 Suggests: python-jinja2-doc
+Breaks: python-jinja2 (<< 2.11.1-1)
+Replaces: python-jinja2 (<< 2.11.1-1)
 Description: small but fast and easy to use stand-alone template engine
  Jinja2 is a template engine written in pure Python. It provides a Django
  inspired non-XML syntax but supports inline expressions and an optional

## jinja2 2.11.3

=== debian/changelog ===
jinja2 (2.11.3-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-jinja2-doc: Add Multi-Arch: foreign.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Hans-Christoph Steiner ]
  * New upstream release

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 01 Mar 2021 12:05:52 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (= 12), dh-python,
  python-all (>= 2.6.6-3), python3-all,
  python-setuptools (>= 0.6b3-1~), python3-setuptools,
@@ -10,8 +10,8 @@
  python3-pygments
 Standards-Version: 4.5.0
 Homepage: http://jinja.pocoo.org/
-Vcs-Git: https://salsa.debian.org/python-team/modules/jinja2.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/jinja2
+Vcs-Git: https://salsa.debian.org/python-team/packages/jinja2.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/jinja2
 
 Package: python-jinja2
 Architecture: all
@@ -43,6 +43,7 @@
 Architecture: all
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
 Recommends: python3-jinja2
+Multi-Arch: foreign
 Description: documentation for the Jinja2 Python library
  Jinja2 is a small but fast and easy to use stand-alone template engine
  .
